LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XSubmitListener Interface Referencepublished

receives notifications about data being submitted. More...

`import"XSubmitListener.idl";`

Inheritance diagram for XSubmitListener:

## Public Member Functions
boolean | approveSubmit ([in] com::sun::star::lang::EventObject Event)
| is invoked when a component is about to submit it's data. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

receives notifications about data being submitted.

The submission may be canceled, so the listener has the possibility of verifying the data before submission.

See also
  XSubmit

Deprecated:
  This interface is superseded by the com::sun::star::form::submission::XSubmissionVetoListener interface. New implementations should use the latter, if possible.

## Member Function Documentation

## ◆ approveSubmit()

boolean approveSubmit | ( | [in] com::sun::star::lang::EventObject | Event | ) |

is invoked when a component is about to submit it's data.

Parameters

  Event | the event happened

Returns
  `TRUE` when submitting was approved, otherwise `FALSE`.

The documentation for this interface was generated from the following file:

- com/sun/star/form/XSubmitListener.idl